#
# spec file for package python3-backports_abc
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-backports_abc
Version:        0.4
Release:        3.2
Summary:        A backport of recent additions to the 'collections.abc' module
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/cython/backports_abc
Source:         https://pypi.python.org/packages/source/b/backports_abc/backports_abc-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Currently, patch() provides the following names if missing:

collections.abc.Generator
collections.abc.Awaitable
collections.abc.Coroutine
inspect.isawaitable(obj)

All of them are also available directly from the backports_abc module
namespace.

In Python 2.x and Python 3.2, it patches the collections module
instead of the collections.abc module. Any names that are already
available when importing this module will not be overwritten.

The names that were previously patched by patch() can be queried
through the mapping in backports_abc.PATCHED.

%prep
%setup -q -n backports_abc-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.rst CHANGES.rst

%changelog
* Wed Dec 16 2015 aboe76@gmail.com
- Initial version
